Bug 23651 - RestrictedPage system preferences should include the address of the page in the description
Summary: RestrictedPage system preferences should include the address of the page in t...
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Nick Clemens
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on: 13485
Blocks:
  Show dependency treegraph
 
Reported: 2019-09-19 20:53 UTC by Nick Clemens
Modified: 2019-10-18 05:37 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00,19.05.05


Attachments
Bug 23651 - Add address of restricted page to syspref description (1.31 KB, patch)
2019-09-20 16:51 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 23651 - Add address of restricted page to syspref description (1.37 KB, patch)
2019-09-20 22:14 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 23651 - Add address of restricted page to syspref description (1.46 KB, patch)
2019-09-27 06:15 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2019-09-19 20:53:14 UTC

    
Comment 1 Nick Clemens 2019-09-20 16:51:15 UTC
Created attachment 93011 [details] [review]
Bug 23651 - Add address of restricted page to syspref description

To test:
1 - Look at the restricted page syspref
2 - Check that the url is listed
3 - Add some content to the page
4 - Save the prefs
5 - Verify the address listed takes you to the page on the opac
Comment 2 ByWater Sandboxes 2019-09-20 22:14:17 UTC
Created attachment 93072 [details] [review]
Bug 23651 - Add address of restricted page to syspref description

To test:
1 - Look at the restricted page syspref
2 - Check that the url is listed
3 - Add some content to the page
4 - Save the prefs
5 - Verify the address listed takes you to the page on the opac

Signed-off-by: Lisette Scheer <lisetteslatah@gmail.com>
Comment 3 Marcel de Rooy 2019-09-27 06:15:53 UTC
Created attachment 93180 [details] [review]
Bug 23651 - Add address of restricted page to syspref description

To test:
1 - Look at the restricted page syspref
2 - Check that the url is listed
3 - Add some content to the page
4 - Save the prefs
5 - Verify the address listed takes you to the page on the opac

Signed-off-by: Lisette Scheer <lisetteslatah@gmail.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 4 Marcel de Rooy 2019-09-27 06:17:09 UTC
Did not know about that page btw. Bit strange ;)
Comment 5 Martin Renvoize 2019-09-27 12:59:47 UTC
Nice work!

Pushed to master for 19.11.00
Comment 6 Fridolin SOMERS 2019-10-08 07:00:20 UTC
Pushed to 19.05.x for 19.05.05
Comment 7 Lucas Gass 2019-10-17 19:59:05 UTC
backported to 18.11.x for 18.11.11
Comment 8 Katrin Fischer 2019-10-18 05:37:30 UTC
Please be careful about timing - also a string patch.